Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.commons.enc.v2
Class ETKSearchCriteria

    java.lang.Object
      be.fgov.ehealth.commons.enc.v2.ETKSearchCriteria

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:41:55+01:00",
               comments="JAXB RI v2.2.11")
    public class ETKSearchCriteria

extends Object
implements Serializable

Contains the search criteria type to find the token used for the encryption

Java class for ETKSearchCriteriaType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ETKSearchCriteriaType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:be:fgov:ehealth:commons:core:v2}Id" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ETKSearchCriteria()`

Method Summary
`List<Id>` | `getIds()` Gets the value of the ids property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ETKSearchCriteria

    public ETKSearchCriteria()

Method Detail

### getIds

    public List<Id> getIds()

  Gets the value of the ids property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

  For example, to add a new item, do as follows:

          getIds().add(newItem);

  Objects of the following type(s) are allowed in the list `Id`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.